Name:           docbook-xml-template
Version:        0.0.1
Release:        1
Summary:        A template docbook xml package.

Group:          Applications/Text
License:        GPL
URL:            http://thomas.apestaart.org/projects/docbook-xml-template
Source:         http://thomas.apestaart.org/projects/docbook-xml-template/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is a template package containing documentation generated from
DocBook/XML source.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install docs by hand in a staging area
mkdir installed-doc
cd doc
cp -pr --parents */*.ps ../installed-doc
cp -pr --parents */*.pdf ../installed-doc
cp -pr --parents */html ../installed-doc

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc installed-doc/article/article.{ps,pdf}
%doc installed-doc/article/html
%doc installed-doc/book/book.{ps,pdf}
%doc installed-doc/book/html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 18 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial package
